---
workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
      variables:
        APP_VERSION: "${CI_COMMIT_SHA}"
    - if: $CI_COMMIT_TAG =~ "/^v\d+\.\d+\.\d+$/"
      variables:
        APP_VERSION: "${CI_COMMIT_TAG}"
    - if: $CI_PIPELINE_SOURCE == "web"
      variables:
        APP_VERSION: "${CI_COMMIT_SHA}"

stages:
  - deploy

.downstream-deployment-pipeline:
  variables:
    UPSTREAM_ENVIRONMENT_NAME: $CI_ENVIRONMENT_NAME
  trigger:
    project: dmitry.tyumentsev/projects/php-travellist/iac
    branch: main
    strategy: depend

deploy-staging:
  stage: deploy
  extends: .downstream-deployment-pipeline
  environment:
    name: staging
    url: http://travellist.stage.php.baner.space

deploy-production:
  stage: deploy
  extends: .downstream-deployment-pipeline
  environment:
    name: production
    url: http://travellist.prod.php.baner.space
  when: manual
